package com.pokkt.demo.fragments;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.Toast;

import com.pokkt.PokktAds;
import com.pokkt.ad.demo.R;

public class PokktOutStreamScrollFragment extends BaseFragment implements PokktAds.OSAds.OSAdsDelegate{


    private FrameLayout containerLayout;

    public PokktOutStreamScrollFragment() {
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.fragment_pokkt_outstream_scroll_ad_type, container, false);

        containerLayout = (FrameLayout)rootView.findViewById(R.id.placeholder);

        return rootView;
    }

    @Override
    public void onViewCreated(View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        PokktAds.OSAds.setDelegate(this);
        PokktAds.OSAds.loadAdInContainer(getActivity(), containerLayout, "default", 0, this); // step 1
    }

    @Override
    public void adReady(String screenName) {
        containerLayout.setVisibility(View.VISIBLE);
        //one approach in xml android:layout_height="0dp" android:visibility="visible" and in java
        //containerLayout.setLayoutParams(new LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT, 300));
    }

    @Override
    public void adDisplayed(String screenName) {
    }

    @Override
    public void adFailedToShow(String screenName, final String errorMessage) {
        if (getActivity() == null) {
            return;
        }
        getActivity().runOnUiThread(new Runnable() {
            @Override
            public void run() {
                Toast.makeText(getActivity(), "Video Ad Show Error " + errorMessage, Toast.LENGTH_LONG).show();
                containerLayout.setVisibility(View.GONE);
            }
        });

    }

    @Override
    public void adCompleted(String screenName) {

    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        PokktAds.OSAds.destroyAdInContainer("default");
        PokktOutStreamFragment.isAllowClick = true;
    }
}
