package com.pokkt.demo.fragments;

import android.graphics.Color;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Button;
import android.widget.RelativeLayout;
import android.widget.Toast;

import com.pokkt.PokktAds;

public class PokktOutStreamWebViewFragment extends BaseFragment implements PokktAds.OSAds.OSAdsDelegate{

    private final String screenName = "default";

    private WebView webView;
    private Button button;

    public PokktOutStreamWebViewFragment() {
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        RelativeLayout layout = new RelativeLayout(getActivity());
        RelativeLayout.LayoutParams parentParams = new RelativeLayout.LayoutParams(RelativeLayout.LayoutParams.MATCH_PARENT, RelativeLayout.LayoutParams.MATCH_PARENT);
        layout.setLayoutParams(parentParams);
        layout.setBackgroundColor(Color.WHITE);
        layout.setClickable(true);

        webView = new WebView(getActivity());
        webView.setId(2000);
        webView.setWebViewClient(new WebViewClient() {
            @Override
            public void onPageFinished(WebView view, String url) {
                super.onPageFinished(view, url);
                PokktAds.OSAds.initAgent(getActivity(), screenName); // step 2
            }
        });
        webView.setWebChromeClient(new WebChromeClient() {
        });

        button = new Button(getActivity());
        button.setText("Show Ad");
        button.setEnabled(false);
        RelativeLayout.LayoutParams params = new RelativeLayout.LayoutParams(300, 150);
        params.addRule(RelativeLayout.ALIGN_PARENT_BOTTOM|RelativeLayout.CENTER_HORIZONTAL);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
//                webView.loadUrl("https://en.wikipedia.org/wiki/Jon_Snow_(character)");
                webView.loadUrl("https://s3-ap-southeast-1.amazonaws.com/pokktdocumentation/windows/test.html");
//                webView.loadUrl("file:///android_asset/demo.html");
                button.setEnabled(false);
            }
        });
        layout.addView(button,params);
        layout.addView(webView);

        return layout;
    }

    @Override
    public void onViewCreated(View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        PokktAds.OSAds.setDelegate(this);
        PokktAds.OSAds.loadAdInContainer(getActivity(), webView, screenName, 0, this); // step 1
        //webView.loadUrl("file:///android_asset/demo.html");
//        webView.loadUrl("https://wiki.pokkt.com/Native_Android");
    }

    @Override
    public void adReady(String screenName) {
        button.setEnabled(true);
    }

    @Override
    public void adDisplayed(String screenName) {
    }

    @Override
    public void adFailedToShow(String screenName, final String errorMessage) {
        if (getActivity() == null) {
            return;
        }
        getActivity().runOnUiThread(new Runnable() {
            @Override
            public void run() {
                Toast.makeText(getActivity(), "Video Ad Show Error " + errorMessage, Toast.LENGTH_LONG).show();
            }
        });

    }

    @Override
    public void adCompleted(String screenName) {

    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        PokktAds.OSAds.destroyAdInContainer(screenName);
        PokktOutStreamFragment.isAllowClick = true;
    }
}
